Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Macros | Functions
langinfo.c File Reference
`#include "ruby/missing.h"`
`#include <stdlib.h>`
`#include <string.h>`

Go to the source code of this file.

## Macros
#define | C_CODESET
#define | JA_CODESET "EUC-JP"
#define | digit(x) ((x) >= '0' && (x) <= '9')
#define | strstart(s, n) (strncasecmp((s), (n), strlen(n)) == 0)

## Functions
const char * | nl_langinfo_codeset (void)

## Macro Definition Documentation

## ◆ C_CODESET

#define C_CODESET

Value:
"US-ASCII" /* Return this as the encoding of the
* C/POSIX locale. Could as well one day
* become "UTF-8". */

Definition at line 48 of file langinfo.c.

## ◆ digit

#define digit | ( |  | x | ) | ((x) >= '0' && (x) <= '9')

Definition at line 56 of file langinfo.c.

## ◆ JA_CODESET

#define JA_CODESET "EUC-JP"

Definition at line 53 of file langinfo.c.

## ◆ strstart

#define strstart | ( |  | s,
|  |  | n
| ) |  | (strncasecmp((s), (n), strlen(n)) == 0)

Definition at line 57 of file langinfo.c.

## Function Documentation

## ◆ nl_langinfo_codeset()

const char* nl_langinfo_codeset | ( | void |  | ) |

Definition at line 62 of file langinfo.c.

References C_CODESET, digit, getenv, memcpy(), n, strchr(), strcmp(), and strstart.